Create a subscription

The method allows you to connect a subscription

Create a subscription

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body

Subscription request body

merchantIdstringRequired

Merchant ID in the system

Example: 6c3428c6-c8b8-444f-9ab0-78c864df1719
billingLinkIdstringRequired

Payment link identifier (coins will be debited from the linked address)

Example: 8a19100c-e2ec-46ba-932f-682d2df79d8b
titlestringRequired

Subscription name

Example: Premium
descriptionstringOptional

Subscription Description

Example: Premium subscription. With premium subscription u can use premium functions
spendIntervalintegerRequired

Write-off period in minutes. For convenience, you can specify: -1 - daily write-off; -2 - weekly write-off; -3 - monthly write-off;

Example: -1
currencystringRequired

Payment currency. You can specify a fiat currency or any other, the amount will be automatically converted to the currency of the payment link

Example: USD
amountstringRequired

Payment amount in the specified currency

Example: 7.99
webhookUrlstringOptional

Subscription charge notification URL

Example: https://merchant.domain/webhooks/subscription
Responses
chevron-right
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post
/api-gateway/recurrents/create-subscription
200Success

Last updated